Subject: Re: bug#20728: 25.0.50; grep and grep-find templates should have a place holder for the --color argument

From: Juri Linkov <[email-masked]>
Date: Fri, 12 Jun 2015 02:20:28 +0300

>> With the mnemonics <C> = <Color> :)
>
> Rename it, then? But I'd be fine with keeping the "wrong" letter for
> compatibility with templates set by third-party code, if there's any.

Yes, it's out of the question that we should keep the original letters.

>> OTOH, null-device has a separate placeholder <N>.
>
> And it seems to never be used anywhere. Again, grep-compute-defaults
> inlines the appropriate value in the templates.

Here again the same question: how different is null-device from
grep-highlight-matches that null-device should be inlined in the
templates by grep-compute-defaults while grep-highlight-matches shouldn't?

> Maybe we should remove the mentions of it from the docstrings.

I wonder how many third-party code uses the templates with <N>
that it needs to be documented.